[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# 개요

ELK Stack을 이용한 www.hongsnet.net 웹 로그분석을 운영 한다.


# ELK Stack 구성 참조

[바로가기](https://gitlab.hongsnet.net/joohan.hong/joohanhong/tree/master/LOG)


# ELK Stack Cluster 구성 현황

![elk_stack_cluster](./images/elk-cluster.png)


# ELK Cluster 구성 내역


**- Master Node**

```bash
# cat /etc/elasticsearch/elasticsearch.yml
node.name: "TB3-ELK"
node.master: true
node.data: true
network.host: 172.16.0.228
transport.tcp.port: 9300
transport.tcp.compress: true
http.port: 9200
cluster.initial_master_nodes: ["172.16.0.228:9300"]
discovery.seed_hosts: ["172.16.0.228:9300"]

```

**- Data Node 1**

```bash
# cat /etc/elasticsearch/elasticsearch.yml
node.name: "TB2-ELK"
node.master: false
node.data: true
network.host: 172.24.0.229
transport.tcp.port: 9300
transport.tcp.compress: true
http.port: 9200
discovery.seed_hosts: ["172.16.0.228:9300"]
xpack.security.enabled: false
````

**- Data Node 2**

```bash
# cat /etc/elasticsearch/elasticsearch.yml
node.name: "TB3-DOCKER-ELK"
node.master: false
node.data: true
network.host: 172.16.0.230
transport.tcp.port: 9300
transport.tcp.compress: true
http.port: 9200
discovery.seed_hosts: ["172.16.0.228:9300"]
xpack.security.enabled: false
````
